package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.UserCollect;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户收藏音乐Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface UserCollectMapper 
{
    /**
     * 查询用户收藏音乐
     * 
     * @param id 用户收藏音乐主键
     * @return 用户收藏音乐
     */
    public UserCollect selectUserCollectById(Long id);

    /**
     * 查询用户收藏音乐列表
     * 
     * @param userCollect 用户收藏音乐
     * @return 用户收藏音乐集合
     */
    public List<UserCollect> selectUserCollectList(UserCollect userCollect);

    /**
     * 新增用户收藏音乐
     * 
     * @param userCollect 用户收藏音乐
     * @return 结果
     */
    public int insertUserCollect(UserCollect userCollect);

    /**
     * 修改用户收藏音乐
     * 
     * @param userCollect 用户收藏音乐
     * @return 结果
     */
    public int updateUserCollect(UserCollect userCollect);

    /**
     * 删除用户收藏音乐
     * 
     * @param id 用户收藏音乐主键
     * @return 结果
     */
    public int deleteUserCollectById(Long id);

    /**
     * 批量删除用户收藏音乐
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserCollectByIds(Long[] ids);

    UserCollect selectUserCollectAndUserId(@Param("userId") Long userId,@Param("musicId") String musicId);
}
